Name: libscca
Version: 20161031
Release: 1%{?dist}
Summary: Library to access the Windows Prefetch File (PF) format
Group: System Environment/Libraries
License: LGPL
Source: %{name}-alpha-%{version}.tar.gz
URL: https://github.com/libyal/libscca/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
                
                

%description
libscca is a library to access the Windows Prefetch File (PF) format

%package devel
Summary: Header files and libraries for developing applications for libscca
Group: Development/Libraries
Requires: libscca = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libscca.

%package tools
Summary: Several tools for accessing Windows Prefetch files
Group: Applications/System
Requires: libscca = %{version}-%{release}

%description tools
Several tools for accessing Windows Prefetch files

%package python
Summary: Python 2 bindings for libscca
Group: System Environment/Libraries
Requires: libscca = %{version}-%{release} python
BuildRequires: python-devel

%description python
Python 2 bindings for libscca

%if 0%{?fedora} >= 20 || 0%{?centos} == 7
%package python3
Summary: Python 3 bindings for libscca
Group: System Environment/Libraries
Requires: libscca = %{version}-%{release} python3
BuildRequires: python3-devel

%description python3
Python 3 bindings for libscca
%endif

%prep
%setup -q

%build
%if 0%{?fedora} >= 20 || 0%{?centos} == 7
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libscca.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/sccainfo
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?fedora} >= 20 || 0%{?centos} == 7
%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Mon Oct 31 2016 Lawrence R. Rogers <lrr@cert.org> 20161031-1
* Release 20161031-1
	20160109
	* fixes for rpmbuild

* Fri Jan  8 2016 Joachim Metz <joachim.metz@gmail.com> 20160108-1
- Auto-generated

